-- Find the hiring age of each employee

SELECT DATEDIFF(year, BirthDate, HireDate)
FROM Employees;

--------------------------

-- Find the Birth month for every employee
SELECT FirstName, LastName, DATENAME(month, BirthDate) AS BirthMonth
FROM Employees
ORDER BY DATEPART(month, BirthDate);